summaryrefslogtreecommitdiff
path: root/gui-apps/walker
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /gui-apps/walker
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'gui-apps/walker')
-rw-r--r--gui-apps/walker/Manifest6
-rw-r--r--gui-apps/walker/metadata.xml13
-rw-r--r--gui-apps/walker/walker-0.10.3.ebuild40
-rw-r--r--gui-apps/walker/walker-0.12.0.ebuild42
-rw-r--r--gui-apps/walker/walker-0.13.26.ebuild42
-rw-r--r--gui-apps/walker/walker-9999.ebuild43
6 files changed, 186 insertions, 0 deletions
diff --git a/gui-apps/walker/Manifest b/gui-apps/walker/Manifest
new file mode 100644
index 000000000000..2e5607e9546f
--- /dev/null
+++ b/gui-apps/walker/Manifest
@@ -0,0 +1,6 @@
+DIST walker-0.10.3-deps.tar.xz 28793644 BLAKE2B 73126ea28c355531cf801dfea9c87489f0d794ad4042e4313b5910101453b438115e2feec34d3ca5a337c3d2afbad3a0c023c087d22eb6f3effdb8b476dedec1 SHA512 ae41095993dd9dc13450e43b9e0888191142bd854996d19df37bee919930f9ca6fa876937a35bf0336a2b1799722719f020573df22ba2372769078e94260b92a
+DIST walker-0.10.3.tar.gz 818018 BLAKE2B e924fd9061b2b864f63149feda4d478ddc05e583beb213e3da2ab6e0be161aaafc3e47e3a5ace3cc35672047a889c1cf60f2fec80fd69091c05f376eba9fcf18 SHA512 a0957a42d1e97f57eb6ad4ccacc6f888a9e176b5df25bd45c5f817ed476e710eb924dea44bd2186ce9ca79fd8a21ac92d5187df5a43446ae14865172b28c393b
+DIST walker-0.12.0-deps.tar.xz 186245172 BLAKE2B cfbc4fc9b74dd49d2f39f51132903dbb7e1c35993ef7670977dc4a912854daff4390fe2390b101da4d18eb95b1daa603203e4fc50e94220147f9a3884ec7b553 SHA512 dcf3a831aacd10168f6dc577c35d8e6bea04738578447824fb053b470eac2df3ba4b9218faf1f4f1f143e695dd33e752b1bce2c8831d0aa77ba0acb33be584a5
+DIST walker-0.12.0.tar.gz 825680 BLAKE2B a244ef2549cca36f409f0e66741dc647aeced4bd56ef0447194ff709ea80bd53f73006f8c9518f32c84aed03736b0c595af56720e0d88665beef4ee7c07b919a SHA512 e4f2fa3869c6d3ec1fee26f53e583c1444b40d63a3a0299398348eeeb5790e02b2e40202483e9ba0b6be102f582a143fec6e13dd451670f51810a1591a71db4a
+DIST walker-0.13.26-deps.tar.xz 187561672 BLAKE2B 257c82d0655744925297663278cfdca88451a61616efa839edaa70528dd91e8bbe7584e294c57c546ca673272f010e0243bdad268064c946992c37bef441f07a SHA512 5a992bc82c1ccb21d8debdaa4ffa772b2950eac7e27a82e10ee9c9110c093c553d71d7bdc9ce8034874708c197fb83c4f3b50d73890a5c2a94a0212140138e6a
+DIST walker-0.13.26.tar.gz 840354 BLAKE2B 040d92e2c77a34ecf3db7161e8ac57643e9eb2e10e513f8589557b8341940ac3608ad03fb5ed5dc66109fa6d90f6c168978e7759057accd17954e4572f699302 SHA512 cede2a784000043727864a4b9645e664595194e886d13567b2f274a33fc10f82ef4cdf2d638c99fa0be32121340a0365779e7f6627aff3741aa178fc14fa7fa9
diff --git a/gui-apps/walker/metadata.xml b/gui-apps/walker/metadata.xml
new file mode 100644
index 000000000000..15b602ada4ee
--- /dev/null
+++ b/gui-apps/walker/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/abenz1267/walker/issues</bugs-to>
+ <changelog>https://github.com/abenz1267/walker/releases</changelog>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/gui-apps/walker/walker-0.10.3.ebuild b/gui-apps/walker/walker-0.10.3.ebuild
new file mode 100644
index 000000000000..ad1cf86eb311
--- /dev/null
+++ b/gui-apps/walker/walker-0.10.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Multi-Purpose Launcher with a lot of features. Highly Customizable and fast"
+HOMEPAGE="https://github.com/abenz1267/walker"
+SRC_URI="
+ https://github.com/abenz1267/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://jroy.ca/dist/${P}-deps.tar.xz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-libs/glib:2
+ gui-libs/gtk:4
+ >=gui-libs/gtk4-layer-shell-1.0.4
+ dev-libs/gobject-introspection
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/pango
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-libs/glib-2.80.0[introspection]
+"
+
+src_compile() {
+ cd "${S}"/cmd || die
+ ego build -o walker
+}
+
+src_install() {
+ dobin cmd/"${PN}"
+}
diff --git a/gui-apps/walker/walker-0.12.0.ebuild b/gui-apps/walker/walker-0.12.0.ebuild
new file mode 100644
index 000000000000..aa5cb878fad8
--- /dev/null
+++ b/gui-apps/walker/walker-0.12.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Multi-Purpose Launcher with a lot of features. Highly Customizable and fast"
+HOMEPAGE="https://github.com/abenz1267/walker"
+SRC_URI="
+ https://github.com/abenz1267/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://jroy.ca/dist/${P}-deps.tar.xz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-libs/glib:2
+ gui-libs/gtk:4
+ >=gui-libs/gtk4-layer-shell-1.0.4
+ dev-libs/gobject-introspection
+ media-libs/graphene
+ media-libs/vips:=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/pango
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-libs/glib-2.80.0[introspection]
+"
+
+src_compile() {
+ cd "${S}"/cmd || die
+ ego build -o walker
+}
+
+src_install() {
+ dobin cmd/"${PN}"
+}
diff --git a/gui-apps/walker/walker-0.13.26.ebuild b/gui-apps/walker/walker-0.13.26.ebuild
new file mode 100644
index 000000000000..aa5cb878fad8
--- /dev/null
+++ b/gui-apps/walker/walker-0.13.26.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Multi-Purpose Launcher with a lot of features. Highly Customizable and fast"
+HOMEPAGE="https://github.com/abenz1267/walker"
+SRC_URI="
+ https://github.com/abenz1267/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://jroy.ca/dist/${P}-deps.tar.xz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-libs/glib:2
+ gui-libs/gtk:4
+ >=gui-libs/gtk4-layer-shell-1.0.4
+ dev-libs/gobject-introspection
+ media-libs/graphene
+ media-libs/vips:=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/pango
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-libs/glib-2.80.0[introspection]
+"
+
+src_compile() {
+ cd "${S}"/cmd || die
+ ego build -o walker
+}
+
+src_install() {
+ dobin cmd/"${PN}"
+}
diff --git a/gui-apps/walker/walker-9999.ebuild b/gui-apps/walker/walker-9999.ebuild
new file mode 100644
index 000000000000..886c30a525c9
--- /dev/null
+++ b/gui-apps/walker/walker-9999.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module git-r3
+
+DESCRIPTION="Multi-Purpose Launcher with a lot of features. Highly Customizable and fast"
+HOMEPAGE="https://github.com/abenz1267/walker"
+EGIT_REPO_URI="https://github.com/abenz1267/${PN}"
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+ dev-libs/glib:2
+ gui-libs/gtk:4
+ >=gui-libs/gtk4-layer-shell-1.0.4
+ dev-libs/gobject-introspection
+ media-libs/graphene
+ media-libs/vips:=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/pango
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-libs/glib-2.80.0[introspection]
+"
+
+src_unpack() {
+ git-r3_src_unpack
+ go-module_live_vendor
+}
+
+src_compile() {
+ cd "${S}"/cmd || die
+ ego build -o walker
+}
+
+src_install() {
+ dobin cmd/"${PN}"
+}